type
  PSnookRec = ^TSnookRec;
  TSnookRec = record
    rx,ry,rz,px,py,pz,ti,ms:single;
    rw,rn: longint;
  end;
type
  TSnkFile = file of TSnookRec;
var
  f: TSnkFile;
  R: TSnookRec;
  max,choice: longint;
  FName: string;
begin
  write('Input name of file (e.g. "test.snk"): ');
  readln(FName);
  if pos('.',FName) = 0 then FName := FName + '.snk';
  assign(f,FName);
  reset(f);
  if (ioResult <> 0) then
    begin
      writeln('Cannot open file.');
      halt
    end;
  max := FileSize(f) - 1;
  writeln('Hit Ctrl-C to quit');
  repeat
    write('Input a record number (0): ');
    readln(choice);
    if (choice < 0) or (choice > max) then
      writeln('That record index is invalid.')
    else
      begin
        seek(f,choice);
        read(f,R);
        with R do writeln('rx: ',rx:12,' ry: ',ry:12,' rz: ',rz:12,'   [m]');
        with R do writeln('px: ',px:12,' py: ',py:12,' pz: ',pz:12,'   [kg m /s]');
        with R do writeln('ms: ',ms:12,'kg  ti: ',ti:12,' s');
        with R do writeln('rw: ',rw,' rn: ',rn)
      end;
  writeln;

  until false; { terminate by hitting Ctrl-C }

  close(f);
end.